package com.liquidnet.common.third.zxlnft.dto.nft;

import lombok.Data;

import java.io.Serializable;

/**
 * @author AnJiabin <anjiabin@zhengzai.tv>
 * @version V1.0
 * @Description: 32.查询系列信息 GET请求方式
 * @class: SeriesReq
 * @Package com.liquidnet.common.third.zxlnft.dto.nft
 * @Copyright: LightNet @ Copyright (c) 2021
 * @date 2022/2/18 15:44
 */
@Data
public class Nft032SeriesReq implements Serializable {
    /**
     * 系列ID
     */
    private String seriesId;
    private static final Nft032SeriesReq obj = new Nft032SeriesReq();
    private static final long serialVersionUID = -6343323355647815609L;

    public static Nft032SeriesReq getNew() {
        try {
            return (Nft032SeriesReq) obj.clone();
        } catch (CloneNotSupportedException e) {
            return new Nft032SeriesReq();
        }
    }
}
